For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
      • GETReturns all client applications.
      • POSTRegisters a new client application.
      • POSTDynamically registers a new OAuth 2.0 client according to RFC 7591.
      • GETReturns the client application with the specified id.
      • PUTUpdates the client application with the specified id.
      • DELDeletes the specified client application.
      • POSTGenerates an API key for the specified client application.
      • POSTGenerates a new secret for the specified client application.
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceClient Applications

Updates the client application with the specified id.

PUT
https://api.awork.com/api/v1/clientapplications/:clientId
PUT
/api/v1/clientapplications/:clientId
$curl -X PUT https://api.awork.com/api/v1/clientapplications/integration \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "clientId": "integration",
3 "displayName": "Awork integration",
4 "redirectUris": [
5 "https://awork.com/callback"
6 ],
7 "isConfidential": true,
8 "createdOn": "2022-03-14T16:40:40.100Z",
9 "updatedOn": "2022-03-25T11:15:00.100Z"
10}
Updates the client application with the specified id. <Check title="Required Permissions" icon="key">The user must be an admin or have `workspace-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Deletes the specified client application.

Next
Built with

Updates the client application with the specified id.

Required Permissions
The user must be an admin or have workspace-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

clientIdstringRequired
The id of the client application.

Request

The client application model.
displayNamestring or nullOptional
The client application's display name.
redirectUrislist of strings or nullOptional
The redirect URIs.

Response

OK
clientIdstring or null
The client application's identifier.
displayNamestring or null
The client application's display name.
redirectUrislist of strings or null
The redirect URIs.
isConfidentialboolean
Indicates whether the client application is confidential. Backend integrations are considered confidential as the secret is never shipped to a user, while web apps or CLI integrations are not.
createdOnstringformat: "date-time"
The date this entity was created.
updatedOnstringformat: "date-time"
The date this entity was last modified.